Next: POPPAR, Previous: PERROR, Up: Intrinsic Procedures [Contents][Index]

### 8.192 `POPCNT` — Number of bits set

Description:

  `POPCNT(I)` returns the number of bits set (’1’ bits) in the binary representation of `I`.

Standard:

  Fortran 2008 and later

Class:

  Elemental function

Syntax:

  `RESULT = POPCNT(I)`

Arguments:

  I | Shall be of type `INTEGER`.

Return value:

  The return value is of type `INTEGER` and of the default integer kind.

See also:

  POPPAR, LEADZ, TRAILZ

Example:

      program test_population
        print *, popcnt(127),       poppar(127)
        print *, popcnt(huge(0_4)), poppar(huge(0_4))
        print *, popcnt(huge(0_8)), poppar(huge(0_8))
      end program test_population